ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-1.0/configure
(Generate patch)

Comparing trunk/OOPSE-1.0/configure (file contents):
Revision 1342 by chrisfen, Fri Jul 16 20:21:38 2004 UTC vs.
Revision 1347 by gezelter, Mon Jul 19 16:32:46 2004 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 871 | Line 871 | Optional Packages:
871   Optional Packages:
872    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
873    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
874 <  --with-mpi=<prefix>     compile with MPI libraries in <prefix> [default=no]
875 <  --with-sprng_prefix=PREFIX
876 <                          Prefix where SPRNG is installed
877 <  --with-sprng-libdir=PREFIX  SPRNG library directory
878 <  --with-sprng-include=PREFIX
879 <                          SPRNG include directory
874 >  --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
875 >  --with-sprng=<prefix>   compile with SPRNG installed in <prefix>
876 >                          [default=/usr/local]
877    --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
878  
879   Some influential environment variables:
# Line 1816 | Line 1813 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1813   # $SHELLVAR to the Fortran 95 mangled name.  If the SHELLVAR
1814   # argument is not supplied, it defaults to NAME.
1815   # AC_F95_FUNC
1816 +
1817 +
1818 +
1819 +
1820  
1821  
1822  
# Line 3524 | Line 3525 | F90FLAGS="$F90FLAGS $ac_verb"
3525   ac_save_F90FLAGS=$F90FLAGS
3526   F90FLAGS="$F90FLAGS $ac_verb"
3527  
3528 < (eval echo $as_me:3527: \"$ac_link\") >&5
3528 > (eval echo $as_me:3528: \"$ac_link\") >&5
3529   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3530   echo "$ac_f90_v_output" >&5
3531   F90FLAGS=$ac_save_F90FLAGS
# Line 3601 | Line 3602 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3602   ac_save_F90FLAGS=$F90FLAGS
3603   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3604  
3605 < (eval echo $as_me:3604: \"$ac_link\") >&5
3605 > (eval echo $as_me:3605: \"$ac_link\") >&5
3606   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3607   echo "$ac_f90_v_output" >&5
3608   F90FLAGS=$ac_save_F90FLAGS
# Line 4196 | Line 4197 | fi
4197  
4198     rm -f conftest* conf/conftest* conf/CONFTEST* CONFTEST* conf/mpimod*
4199     if test $madedir = 1 ; then rmdir conf ; fi
4200 + fi
4201 +
4202 +
4203 + ac_ext=c
4204 + ac_cpp='$CPP $CPPFLAGS'
4205 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4206 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4207 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
4208 +
4209 +
4210 + ac_ext=c
4211 + ac_cpp='$CPP $CPPFLAGS'
4212 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4213 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4214 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
4215 +
4216 + ac_ext=c
4217 + ac_cpp='$CPP $CPPFLAGS'
4218 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4219 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4220 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
4221 + echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
4222 + echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
4223 + # On Suns, sometimes $CPP names a directory.
4224 + if test -n "$CPP" && test -d "$CPP"; then
4225 +  CPP=
4226 + fi
4227 + if test -z "$CPP"; then
4228 +  if test "${ac_cv_prog_CPP+set}" = set; then
4229 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4230 + else
4231 +      # Double quotes because CPP needs to be expanded
4232 +    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
4233 +    do
4234 +      ac_preproc_ok=false
4235 + for ac_c_preproc_warn_flag in '' yes
4236 + do
4237 +  # Use a header file that comes with gcc, so configuring glibc
4238 +  # with a fresh cross-compiler works.
4239 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4240 +  # <limits.h> exists even on freestanding compilers.
4241 +  # On the NeXT, cc -E runs the code through the compiler's parser,
4242 +  # not just through cpp. "Syntax error" is here to catch this case.
4243 +  cat >conftest.$ac_ext <<_ACEOF
4244 + /* confdefs.h.  */
4245 + _ACEOF
4246 + cat confdefs.h >>conftest.$ac_ext
4247 + cat >>conftest.$ac_ext <<_ACEOF
4248 + /* end confdefs.h.  */
4249 + #ifdef __STDC__
4250 + # include <limits.h>
4251 + #else
4252 + # include <assert.h>
4253 + #endif
4254 +                     Syntax error
4255 + _ACEOF
4256 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4257 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4258 +  ac_status=$?
4259 +  grep -v '^ *+' conftest.er1 >conftest.err
4260 +  rm -f conftest.er1
4261 +  cat conftest.err >&5
4262 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4263 +  (exit $ac_status); } >/dev/null; then
4264 +  if test -s conftest.err; then
4265 +    ac_cpp_err=$ac_c_preproc_warn_flag
4266 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
4267 +  else
4268 +    ac_cpp_err=
4269 +  fi
4270 + else
4271 +  ac_cpp_err=yes
4272 + fi
4273 + if test -z "$ac_cpp_err"; then
4274 +  :
4275 + else
4276 +  echo "$as_me: failed program was:" >&5
4277 + sed 's/^/| /' conftest.$ac_ext >&5
4278 +
4279 +  # Broken: fails on valid input.
4280 + continue
4281 + fi
4282 + rm -f conftest.err conftest.$ac_ext
4283 +
4284 +  # OK, works on sane cases.  Now check whether non-existent headers
4285 +  # can be detected and how.
4286 +  cat >conftest.$ac_ext <<_ACEOF
4287 + /* confdefs.h.  */
4288 + _ACEOF
4289 + cat confdefs.h >>conftest.$ac_ext
4290 + cat >>conftest.$ac_ext <<_ACEOF
4291 + /* end confdefs.h.  */
4292 + #include <ac_nonexistent.h>
4293 + _ACEOF
4294 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4295 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4296 +  ac_status=$?
4297 +  grep -v '^ *+' conftest.er1 >conftest.err
4298 +  rm -f conftest.er1
4299 +  cat conftest.err >&5
4300 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4301 +  (exit $ac_status); } >/dev/null; then
4302 +  if test -s conftest.err; then
4303 +    ac_cpp_err=$ac_c_preproc_warn_flag
4304 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
4305 +  else
4306 +    ac_cpp_err=
4307 +  fi
4308 + else
4309 +  ac_cpp_err=yes
4310 + fi
4311 + if test -z "$ac_cpp_err"; then
4312 +  # Broken: success on invalid input.
4313 + continue
4314 + else
4315 +  echo "$as_me: failed program was:" >&5
4316 + sed 's/^/| /' conftest.$ac_ext >&5
4317 +
4318 +  # Passes both tests.
4319 + ac_preproc_ok=:
4320 + break
4321 + fi
4322 + rm -f conftest.err conftest.$ac_ext
4323 +
4324 + done
4325 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
4326 + rm -f conftest.err conftest.$ac_ext
4327 + if $ac_preproc_ok; then
4328 +  break
4329 + fi
4330 +
4331 +    done
4332 +    ac_cv_prog_CPP=$CPP
4333 +
4334 + fi
4335 +  CPP=$ac_cv_prog_CPP
4336 + else
4337 +  ac_cv_prog_CPP=$CPP
4338 + fi
4339 + echo "$as_me:$LINENO: result: $CPP" >&5
4340 + echo "${ECHO_T}$CPP" >&6
4341 + ac_preproc_ok=false
4342 + for ac_c_preproc_warn_flag in '' yes
4343 + do
4344 +  # Use a header file that comes with gcc, so configuring glibc
4345 +  # with a fresh cross-compiler works.
4346 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4347 +  # <limits.h> exists even on freestanding compilers.
4348 +  # On the NeXT, cc -E runs the code through the compiler's parser,
4349 +  # not just through cpp. "Syntax error" is here to catch this case.
4350 +  cat >conftest.$ac_ext <<_ACEOF
4351 + /* confdefs.h.  */
4352 + _ACEOF
4353 + cat confdefs.h >>conftest.$ac_ext
4354 + cat >>conftest.$ac_ext <<_ACEOF
4355 + /* end confdefs.h.  */
4356 + #ifdef __STDC__
4357 + # include <limits.h>
4358 + #else
4359 + # include <assert.h>
4360 + #endif
4361 +                     Syntax error
4362 + _ACEOF
4363 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4364 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4365 +  ac_status=$?
4366 +  grep -v '^ *+' conftest.er1 >conftest.err
4367 +  rm -f conftest.er1
4368 +  cat conftest.err >&5
4369 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4370 +  (exit $ac_status); } >/dev/null; then
4371 +  if test -s conftest.err; then
4372 +    ac_cpp_err=$ac_c_preproc_warn_flag
4373 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
4374 +  else
4375 +    ac_cpp_err=
4376 +  fi
4377 + else
4378 +  ac_cpp_err=yes
4379 + fi
4380 + if test -z "$ac_cpp_err"; then
4381 +  :
4382 + else
4383 +  echo "$as_me: failed program was:" >&5
4384 + sed 's/^/| /' conftest.$ac_ext >&5
4385 +
4386 +  # Broken: fails on valid input.
4387 + continue
4388 + fi
4389 + rm -f conftest.err conftest.$ac_ext
4390 +
4391 +  # OK, works on sane cases.  Now check whether non-existent headers
4392 +  # can be detected and how.
4393 +  cat >conftest.$ac_ext <<_ACEOF
4394 + /* confdefs.h.  */
4395 + _ACEOF
4396 + cat confdefs.h >>conftest.$ac_ext
4397 + cat >>conftest.$ac_ext <<_ACEOF
4398 + /* end confdefs.h.  */
4399 + #include <ac_nonexistent.h>
4400 + _ACEOF
4401 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4402 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4403 +  ac_status=$?
4404 +  grep -v '^ *+' conftest.er1 >conftest.err
4405 +  rm -f conftest.er1
4406 +  cat conftest.err >&5
4407 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4408 +  (exit $ac_status); } >/dev/null; then
4409 +  if test -s conftest.err; then
4410 +    ac_cpp_err=$ac_c_preproc_warn_flag
4411 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
4412 +  else
4413 +    ac_cpp_err=
4414 +  fi
4415 + else
4416 +  ac_cpp_err=yes
4417 + fi
4418 + if test -z "$ac_cpp_err"; then
4419 +  # Broken: success on invalid input.
4420 + continue
4421 + else
4422 +  echo "$as_me: failed program was:" >&5
4423 + sed 's/^/| /' conftest.$ac_ext >&5
4424 +
4425 +  # Passes both tests.
4426 + ac_preproc_ok=:
4427 + break
4428 + fi
4429 + rm -f conftest.err conftest.$ac_ext
4430 +
4431 + done
4432 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
4433 + rm -f conftest.err conftest.$ac_ext
4434 + if $ac_preproc_ok; then
4435 +  :
4436 + else
4437 +  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
4438 + See \`config.log' for more details." >&5
4439 + echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
4440 + See \`config.log' for more details." >&2;}
4441 +   { (exit 1); exit 1; }; }
4442 + fi
4443 +
4444 + ac_ext=c
4445 + ac_cpp='$CPP $CPPFLAGS'
4446 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4447 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4448 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
4449 +
4450 +
4451 + echo "$as_me:$LINENO: checking for egrep" >&5
4452 + echo $ECHO_N "checking for egrep... $ECHO_C" >&6
4453 + if test "${ac_cv_prog_egrep+set}" = set; then
4454 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4455 + else
4456 +  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
4457 +    then ac_cv_prog_egrep='grep -E'
4458 +    else ac_cv_prog_egrep='egrep'
4459 +    fi
4460 + fi
4461 + echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
4462 + echo "${ECHO_T}$ac_cv_prog_egrep" >&6
4463 + EGREP=$ac_cv_prog_egrep
4464 +
4465 +
4466 + echo "$as_me:$LINENO: checking for ANSI C header files" >&5
4467 + echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
4468 + if test "${ac_cv_header_stdc+set}" = set; then
4469 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4470 + else
4471 +  cat >conftest.$ac_ext <<_ACEOF
4472 + /* confdefs.h.  */
4473 + _ACEOF
4474 + cat confdefs.h >>conftest.$ac_ext
4475 + cat >>conftest.$ac_ext <<_ACEOF
4476 + /* end confdefs.h.  */
4477 + #include <stdlib.h>
4478 + #include <stdarg.h>
4479 + #include <string.h>
4480 + #include <float.h>
4481 +
4482 + int
4483 + main ()
4484 + {
4485 +
4486 +  ;
4487 +  return 0;
4488 + }
4489 + _ACEOF
4490 + rm -f conftest.$ac_objext
4491 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4492 +  (eval $ac_compile) 2>conftest.er1
4493 +  ac_status=$?
4494 +  grep -v '^ *+' conftest.er1 >conftest.err
4495 +  rm -f conftest.er1
4496 +  cat conftest.err >&5
4497 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4498 +  (exit $ac_status); } &&
4499 +         { ac_try='test -z "$ac_c_werror_flag"
4500 +                         || test ! -s conftest.err'
4501 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4502 +  (eval $ac_try) 2>&5
4503 +  ac_status=$?
4504 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4505 +  (exit $ac_status); }; } &&
4506 +         { ac_try='test -s conftest.$ac_objext'
4507 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4508 +  (eval $ac_try) 2>&5
4509 +  ac_status=$?
4510 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4511 +  (exit $ac_status); }; }; then
4512 +  ac_cv_header_stdc=yes
4513 + else
4514 +  echo "$as_me: failed program was:" >&5
4515 + sed 's/^/| /' conftest.$ac_ext >&5
4516 +
4517 + ac_cv_header_stdc=no
4518 + fi
4519 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4520 +
4521 + if test $ac_cv_header_stdc = yes; then
4522 +  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
4523 +  cat >conftest.$ac_ext <<_ACEOF
4524 + /* confdefs.h.  */
4525 + _ACEOF
4526 + cat confdefs.h >>conftest.$ac_ext
4527 + cat >>conftest.$ac_ext <<_ACEOF
4528 + /* end confdefs.h.  */
4529 + #include <string.h>
4530 +
4531 + _ACEOF
4532 + if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
4533 +  $EGREP "memchr" >/dev/null 2>&1; then
4534 +  :
4535 + else
4536 +  ac_cv_header_stdc=no
4537 + fi
4538 + rm -f conftest*
4539 +
4540 + fi
4541 +
4542 + if test $ac_cv_header_stdc = yes; then
4543 +  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
4544 +  cat >conftest.$ac_ext <<_ACEOF
4545 + /* confdefs.h.  */
4546 + _ACEOF
4547 + cat confdefs.h >>conftest.$ac_ext
4548 + cat >>conftest.$ac_ext <<_ACEOF
4549 + /* end confdefs.h.  */
4550 + #include <stdlib.h>
4551 +
4552 + _ACEOF
4553 + if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
4554 +  $EGREP "free" >/dev/null 2>&1; then
4555 +  :
4556 + else
4557 +  ac_cv_header_stdc=no
4558 + fi
4559 + rm -f conftest*
4560 +
4561 + fi
4562 +
4563 + if test $ac_cv_header_stdc = yes; then
4564 +  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
4565 +  if test "$cross_compiling" = yes; then
4566 +  :
4567 + else
4568 +  cat >conftest.$ac_ext <<_ACEOF
4569 + /* confdefs.h.  */
4570 + _ACEOF
4571 + cat confdefs.h >>conftest.$ac_ext
4572 + cat >>conftest.$ac_ext <<_ACEOF
4573 + /* end confdefs.h.  */
4574 + #include <ctype.h>
4575 + #if ((' ' & 0x0FF) == 0x020)
4576 + # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
4577 + # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
4578 + #else
4579 + # define ISLOWER(c) \
4580 +                   (('a' <= (c) && (c) <= 'i') \
4581 +                     || ('j' <= (c) && (c) <= 'r') \
4582 +                     || ('s' <= (c) && (c) <= 'z'))
4583 + # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
4584 + #endif
4585 +
4586 + #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
4587 + int
4588 + main ()
4589 + {
4590 +  int i;
4591 +  for (i = 0; i < 256; i++)
4592 +    if (XOR (islower (i), ISLOWER (i))
4593 +        || toupper (i) != TOUPPER (i))
4594 +      exit(2);
4595 +  exit (0);
4596 + }
4597 + _ACEOF
4598 + rm -f conftest$ac_exeext
4599 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4600 +  (eval $ac_link) 2>&5
4601 +  ac_status=$?
4602 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4603 +  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4604 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4605 +  (eval $ac_try) 2>&5
4606 +  ac_status=$?
4607 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4608 +  (exit $ac_status); }; }; then
4609 +  :
4610 + else
4611 +  echo "$as_me: program exited with status $ac_status" >&5
4612 + echo "$as_me: failed program was:" >&5
4613 + sed 's/^/| /' conftest.$ac_ext >&5
4614 +
4615 + ( exit $ac_status )
4616 + ac_cv_header_stdc=no
4617 + fi
4618 + rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4619 + fi
4620 + fi
4621 + fi
4622 + echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
4623 + echo "${ECHO_T}$ac_cv_header_stdc" >&6
4624 + if test $ac_cv_header_stdc = yes; then
4625 +
4626 + cat >>confdefs.h <<\_ACEOF
4627 + #define STDC_HEADERS 1
4628 + _ACEOF
4629 +
4630 + fi
4631 +
4632 + # On IRIX 5.3, sys/types and inttypes.h are conflicting.
4633 +
4634 +
4635 +
4636 +
4637 +
4638 +
4639 +
4640 +
4641 +
4642 + for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
4643 +                  inttypes.h stdint.h unistd.h
4644 + do
4645 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4646 + echo "$as_me:$LINENO: checking for $ac_header" >&5
4647 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4648 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4649 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4650 + else
4651 +  cat >conftest.$ac_ext <<_ACEOF
4652 + /* confdefs.h.  */
4653 + _ACEOF
4654 + cat confdefs.h >>conftest.$ac_ext
4655 + cat >>conftest.$ac_ext <<_ACEOF
4656 + /* end confdefs.h.  */
4657 + $ac_includes_default
4658 +
4659 + #include <$ac_header>
4660 + _ACEOF
4661 + rm -f conftest.$ac_objext
4662 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4663 +  (eval $ac_compile) 2>conftest.er1
4664 +  ac_status=$?
4665 +  grep -v '^ *+' conftest.er1 >conftest.err
4666 +  rm -f conftest.er1
4667 +  cat conftest.err >&5
4668 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4669 +  (exit $ac_status); } &&
4670 +         { ac_try='test -z "$ac_c_werror_flag"
4671 +                         || test ! -s conftest.err'
4672 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4673 +  (eval $ac_try) 2>&5
4674 +  ac_status=$?
4675 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4676 +  (exit $ac_status); }; } &&
4677 +         { ac_try='test -s conftest.$ac_objext'
4678 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4679 +  (eval $ac_try) 2>&5
4680 +  ac_status=$?
4681 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4682 +  (exit $ac_status); }; }; then
4683 +  eval "$as_ac_Header=yes"
4684 + else
4685 +  echo "$as_me: failed program was:" >&5
4686 + sed 's/^/| /' conftest.$ac_ext >&5
4687 +
4688 + eval "$as_ac_Header=no"
4689 + fi
4690 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4691 + fi
4692 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4693 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4694 + if test `eval echo '${'$as_ac_Header'}'` = yes; then
4695 +  cat >>confdefs.h <<_ACEOF
4696 + #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4697 + _ACEOF
4698 +
4699 + fi
4700 +
4701 + done
4702 +
4703 +
4704 +  # clean out junk possibly left behind by a previous configuration
4705 +  rm -f third-party/getopt.h
4706 +  # Check for getopt_long support
4707 +
4708 + for ac_header in getopt.h
4709 + do
4710 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4711 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4712 +  echo "$as_me:$LINENO: checking for $ac_header" >&5
4713 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4714 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4715 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4716 + fi
4717 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4718 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4719 + else
4720 +  # Is the header compilable?
4721 + echo "$as_me:$LINENO: checking $ac_header usability" >&5
4722 + echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
4723 + cat >conftest.$ac_ext <<_ACEOF
4724 + /* confdefs.h.  */
4725 + _ACEOF
4726 + cat confdefs.h >>conftest.$ac_ext
4727 + cat >>conftest.$ac_ext <<_ACEOF
4728 + /* end confdefs.h.  */
4729 + $ac_includes_default
4730 + #include <$ac_header>
4731 + _ACEOF
4732 + rm -f conftest.$ac_objext
4733 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4734 +  (eval $ac_compile) 2>conftest.er1
4735 +  ac_status=$?
4736 +  grep -v '^ *+' conftest.er1 >conftest.err
4737 +  rm -f conftest.er1
4738 +  cat conftest.err >&5
4739 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4740 +  (exit $ac_status); } &&
4741 +         { ac_try='test -z "$ac_c_werror_flag"
4742 +                         || test ! -s conftest.err'
4743 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4744 +  (eval $ac_try) 2>&5
4745 +  ac_status=$?
4746 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4747 +  (exit $ac_status); }; } &&
4748 +         { ac_try='test -s conftest.$ac_objext'
4749 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4750 +  (eval $ac_try) 2>&5
4751 +  ac_status=$?
4752 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4753 +  (exit $ac_status); }; }; then
4754 +  ac_header_compiler=yes
4755 + else
4756 +  echo "$as_me: failed program was:" >&5
4757 + sed 's/^/| /' conftest.$ac_ext >&5
4758 +
4759 + ac_header_compiler=no
4760 + fi
4761 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4762 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
4763 + echo "${ECHO_T}$ac_header_compiler" >&6
4764 +
4765 + # Is the header present?
4766 + echo "$as_me:$LINENO: checking $ac_header presence" >&5
4767 + echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
4768 + cat >conftest.$ac_ext <<_ACEOF
4769 + /* confdefs.h.  */
4770 + _ACEOF
4771 + cat confdefs.h >>conftest.$ac_ext
4772 + cat >>conftest.$ac_ext <<_ACEOF
4773 + /* end confdefs.h.  */
4774 + #include <$ac_header>
4775 + _ACEOF
4776 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4777 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4778 +  ac_status=$?
4779 +  grep -v '^ *+' conftest.er1 >conftest.err
4780 +  rm -f conftest.er1
4781 +  cat conftest.err >&5
4782 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4783 +  (exit $ac_status); } >/dev/null; then
4784 +  if test -s conftest.err; then
4785 +    ac_cpp_err=$ac_c_preproc_warn_flag
4786 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
4787 +  else
4788 +    ac_cpp_err=
4789 +  fi
4790 + else
4791 +  ac_cpp_err=yes
4792 + fi
4793 + if test -z "$ac_cpp_err"; then
4794 +  ac_header_preproc=yes
4795 + else
4796 +  echo "$as_me: failed program was:" >&5
4797 + sed 's/^/| /' conftest.$ac_ext >&5
4798 +
4799 +  ac_header_preproc=no
4800 + fi
4801 + rm -f conftest.err conftest.$ac_ext
4802 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
4803 + echo "${ECHO_T}$ac_header_preproc" >&6
4804 +
4805 + # So?  What about this header?
4806 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
4807 +  yes:no: )
4808 +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
4809 + echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
4810 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
4811 + echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
4812 +    ac_header_preproc=yes
4813 +    ;;
4814 +  no:yes:* )
4815 +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
4816 + echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
4817 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
4818 + echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
4819 +    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
4820 + echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
4821 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
4822 + echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
4823 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
4824 + echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
4825 +    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
4826 + echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
4827 +    (
4828 +      cat <<\_ASBOX
4829 + ## ------------------------------ ##
4830 + ## Report this to gezelter@nd.edu ##
4831 + ## ------------------------------ ##
4832 + _ASBOX
4833 +    ) |
4834 +      sed "s/^/$as_me: WARNING:     /" >&2
4835 +    ;;
4836 + esac
4837 + echo "$as_me:$LINENO: checking for $ac_header" >&5
4838 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4839 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4840 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4841 + else
4842 +  eval "$as_ac_Header=\$ac_header_preproc"
4843 + fi
4844 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4845 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4846 +
4847 + fi
4848 + if test `eval echo '${'$as_ac_Header'}'` = yes; then
4849 +  cat >>confdefs.h <<_ACEOF
4850 + #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4851 + _ACEOF
4852 +
4853 + fi
4854 +
4855 + done
4856 +
4857 +
4858 + for ac_func in getopt_long
4859 + do
4860 + as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
4861 + echo "$as_me:$LINENO: checking for $ac_func" >&5
4862 + echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
4863 + if eval "test \"\${$as_ac_var+set}\" = set"; then
4864 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4865 + else
4866 +  cat >conftest.$ac_ext <<_ACEOF
4867 + /* confdefs.h.  */
4868 + _ACEOF
4869 + cat confdefs.h >>conftest.$ac_ext
4870 + cat >>conftest.$ac_ext <<_ACEOF
4871 + /* end confdefs.h.  */
4872 + /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
4873 +   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
4874 + #define $ac_func innocuous_$ac_func
4875 +
4876 + /* System header to define __stub macros and hopefully few prototypes,
4877 +    which can conflict with char $ac_func (); below.
4878 +    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4879 +    <limits.h> exists even on freestanding compilers.  */
4880 +
4881 + #ifdef __STDC__
4882 + # include <limits.h>
4883 + #else
4884 + # include <assert.h>
4885 + #endif
4886 +
4887 + #undef $ac_func
4888 +
4889 + /* Override any gcc2 internal prototype to avoid an error.  */
4890 + #ifdef __cplusplus
4891 + extern "C"
4892 + {
4893 + #endif
4894 + /* We use char because int might match the return type of a gcc2
4895 +   builtin and then its argument prototype would still apply.  */
4896 + char $ac_func ();
4897 + /* The GNU C library defines this for functions which it implements
4898 +    to always fail with ENOSYS.  Some functions are actually named
4899 +    something starting with __ and the normal name is an alias.  */
4900 + #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
4901 + choke me
4902 + #else
4903 + char (*f) () = $ac_func;
4904 + #endif
4905 + #ifdef __cplusplus
4906 + }
4907 + #endif
4908 +
4909 + int
4910 + main ()
4911 + {
4912 + return f != $ac_func;
4913 +  ;
4914 +  return 0;
4915 + }
4916 + _ACEOF
4917 + rm -f conftest.$ac_objext conftest$ac_exeext
4918 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4919 +  (eval $ac_link) 2>conftest.er1
4920 +  ac_status=$?
4921 +  grep -v '^ *+' conftest.er1 >conftest.err
4922 +  rm -f conftest.er1
4923 +  cat conftest.err >&5
4924 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4925 +  (exit $ac_status); } &&
4926 +         { ac_try='test -z "$ac_c_werror_flag"
4927 +                         || test ! -s conftest.err'
4928 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4929 +  (eval $ac_try) 2>&5
4930 +  ac_status=$?
4931 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4932 +  (exit $ac_status); }; } &&
4933 +         { ac_try='test -s conftest$ac_exeext'
4934 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4935 +  (eval $ac_try) 2>&5
4936 +  ac_status=$?
4937 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4938 +  (exit $ac_status); }; }; then
4939 +  eval "$as_ac_var=yes"
4940 + else
4941 +  echo "$as_me: failed program was:" >&5
4942 + sed 's/^/| /' conftest.$ac_ext >&5
4943 +
4944 + eval "$as_ac_var=no"
4945 + fi
4946 + rm -f conftest.err conftest.$ac_objext \
4947 +      conftest$ac_exeext conftest.$ac_ext
4948 + fi
4949 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
4950 + echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
4951 + if test `eval echo '${'$as_ac_var'}'` = yes; then
4952 +  cat >>confdefs.h <<_ACEOF
4953 + #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
4954 + _ACEOF
4955 +
4956 + else
4957 +  # FreeBSD has a gnugetopt library for this
4958 +    echo "$as_me:$LINENO: checking for getopt_long in -lgnugetopt" >&5
4959 + echo $ECHO_N "checking for getopt_long in -lgnugetopt... $ECHO_C" >&6
4960 + if test "${ac_cv_lib_gnugetopt_getopt_long+set}" = set; then
4961 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4962 + else
4963 +  ac_check_lib_save_LIBS=$LIBS
4964 + LIBS="-lgnugetopt  $LIBS"
4965 + cat >conftest.$ac_ext <<_ACEOF
4966 + /* confdefs.h.  */
4967 + _ACEOF
4968 + cat confdefs.h >>conftest.$ac_ext
4969 + cat >>conftest.$ac_ext <<_ACEOF
4970 + /* end confdefs.h.  */
4971 +
4972 + /* Override any gcc2 internal prototype to avoid an error.  */
4973 + #ifdef __cplusplus
4974 + extern "C"
4975 + #endif
4976 + /* We use char because int might match the return type of a gcc2
4977 +   builtin and then its argument prototype would still apply.  */
4978 + char getopt_long ();
4979 + int
4980 + main ()
4981 + {
4982 + getopt_long ();
4983 +  ;
4984 +  return 0;
4985 + }
4986 + _ACEOF
4987 + rm -f conftest.$ac_objext conftest$ac_exeext
4988 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4989 +  (eval $ac_link) 2>conftest.er1
4990 +  ac_status=$?
4991 +  grep -v '^ *+' conftest.er1 >conftest.err
4992 +  rm -f conftest.er1
4993 +  cat conftest.err >&5
4994 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4995 +  (exit $ac_status); } &&
4996 +         { ac_try='test -z "$ac_c_werror_flag"
4997 +                         || test ! -s conftest.err'
4998 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4999 +  (eval $ac_try) 2>&5
5000 +  ac_status=$?
5001 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5002 +  (exit $ac_status); }; } &&
5003 +         { ac_try='test -s conftest$ac_exeext'
5004 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5005 +  (eval $ac_try) 2>&5
5006 +  ac_status=$?
5007 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5008 +  (exit $ac_status); }; }; then
5009 +  ac_cv_lib_gnugetopt_getopt_long=yes
5010 + else
5011 +  echo "$as_me: failed program was:" >&5
5012 + sed 's/^/| /' conftest.$ac_ext >&5
5013 +
5014 + ac_cv_lib_gnugetopt_getopt_long=no
5015   fi
5016 + rm -f conftest.err conftest.$ac_objext \
5017 +      conftest$ac_exeext conftest.$ac_ext
5018 + LIBS=$ac_check_lib_save_LIBS
5019 + fi
5020 + echo "$as_me:$LINENO: result: $ac_cv_lib_gnugetopt_getopt_long" >&5
5021 + echo "${ECHO_T}$ac_cv_lib_gnugetopt_getopt_long" >&6
5022 + if test $ac_cv_lib_gnugetopt_getopt_long = yes; then
5023 +  cat >>confdefs.h <<\_ACEOF
5024 + #define HAVE_GETOPT_LONG 1
5025 + _ACEOF
5026 +
5027 + else
5028 +  # use the GNU replacement
5029 +      case $LIBOBJS in
5030 +    "getopt.$ac_objext"   | \
5031 +  *" getopt.$ac_objext"   | \
5032 +    "getopt.$ac_objext "* | \
5033 +  *" getopt.$ac_objext "* ) ;;
5034 +  *) LIBOBJS="$LIBOBJS getopt.$ac_objext" ;;
5035 + esac
5036 +
5037 +      case $LIBOBJS in
5038 +    "getopt1.$ac_objext"   | \
5039 +  *" getopt1.$ac_objext"   | \
5040 +    "getopt1.$ac_objext "* | \
5041 +  *" getopt1.$ac_objext "* ) ;;
5042 +  *) LIBOBJS="$LIBOBJS getopt1.$ac_objext" ;;
5043 + esac
5044  
5045 +                ac_config_links="$ac_config_links third-party/getopt.h:third-party/gnugetopt.h"
5046  
5047 + fi
5048 +
5049 + fi
5050 + done
5051 +
5052  
5053  
5054   case $debug in
# Line 5196 | Line 6046 | ac_ext=f90
6046          ac_guessed_f90flags=no
6047   fi
6048   rm -f conftest*
6049 < ac_ext=f90
6050 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
6051 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6052 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
6049 > ac_ext=c
6050 > ac_cpp='$CPP $CPPFLAGS'
6051 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6052 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6053 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6054  
6055  
6056   fi
# Line 5519 | Line 6370 | cat >conftest.$ac_ext <<_ACEOF
6370    ac_check_lib_save_LIBS=$LIBS
6371   LIBS="-lfl  $LIBS"
6372   cat >conftest.$ac_ext <<_ACEOF
6373 <
6374 < program main
6375 <
6376 < call yywrap
6377 < end program main
6373 > /* confdefs.h.  */
6374 > _ACEOF
6375 > cat confdefs.h >>conftest.$ac_ext
6376 > cat >>conftest.$ac_ext <<_ACEOF
6377 > /* end confdefs.h.  */
6378  
6379 + /* Override any gcc2 internal prototype to avoid an error.  */
6380 + #ifdef __cplusplus
6381 + extern "C"
6382 + #endif
6383 + /* We use char because int might match the return type of a gcc2
6384 +   builtin and then its argument prototype would still apply.  */
6385 + char yywrap ();
6386 + int
6387 + main ()
6388 + {
6389 + yywrap ();
6390 +  ;
6391 +  return 0;
6392 + }
6393   _ACEOF
6394   rm -f conftest.$ac_objext conftest$ac_exeext
6395   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 5535 | Line 6400 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6400    cat conftest.err >&5
6401    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6402    (exit $ac_status); } &&
6403 <         { ac_try='test -z "$ac_f90_werror_flag"
6403 >         { ac_try='test -z "$ac_c_werror_flag"
6404                           || test ! -s conftest.err'
6405    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6406    (eval $ac_try) 2>&5
# Line 5572 | Line 6437 | cat >conftest.$ac_ext <<_ACEOF
6437    ac_check_lib_save_LIBS=$LIBS
6438   LIBS="-ll  $LIBS"
6439   cat >conftest.$ac_ext <<_ACEOF
6440 + /* confdefs.h.  */
6441 + _ACEOF
6442 + cat confdefs.h >>conftest.$ac_ext
6443 + cat >>conftest.$ac_ext <<_ACEOF
6444 + /* end confdefs.h.  */
6445  
6446 < program main
6447 <
6448 < call yywrap
6449 < end program main
6450 <
6446 > /* Override any gcc2 internal prototype to avoid an error.  */
6447 > #ifdef __cplusplus
6448 > extern "C"
6449 > #endif
6450 > /* We use char because int might match the return type of a gcc2
6451 >   builtin and then its argument prototype would still apply.  */
6452 > char yywrap ();
6453 > int
6454 > main ()
6455 > {
6456 > yywrap ();
6457 >  ;
6458 >  return 0;
6459 > }
6460   _ACEOF
6461   rm -f conftest.$ac_objext conftest$ac_exeext
6462   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 5588 | Line 6467 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6467    cat conftest.err >&5
6468    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6469    (exit $ac_status); } &&
6470 <         { ac_try='test -z "$ac_f90_werror_flag"
6470 >         { ac_try='test -z "$ac_c_werror_flag"
6471                           || test ! -s conftest.err'
6472    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6473    (eval $ac_try) 2>&5
# Line 5678 | Line 6557 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6557    cat conftest.err >&5
6558    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6559    (exit $ac_status); } &&
6560 <         { ac_try='test -z "$ac_f90_werror_flag"
6560 >         { ac_try='test -z "$ac_c_werror_flag"
6561                           || test ! -s conftest.err'
6562    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6563    (eval $ac_try) 2>&5
# Line 5827 | Line 6706 | if test "$USE_MPI" = "yes" -a -z "$with_mpi"; then
6706          *) MPI="$with_mpi"; USE_MPI=yes ;;
6707   esac
6708   if test "$USE_MPI" = "yes" -a -z "$with_mpi"; then
6709 <        MPI="/usr/local"
6709 >        MPI="/usr/local"
6710   fi
6711   if test "$USE_MPI" = "yes"; then
5833        echo "MPI = $MPI"
6712  
6713  
6714   # Set variables...
# Line 6213 | Line 7091 | ac_ext=c
7091  
7092  
7093  
7094 < ac_ext=c
7095 < ac_cpp='$CPP $CPPFLAGS'
7096 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7097 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6220 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
6221 < echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
6222 < echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
6223 < # On Suns, sometimes $CPP names a directory.
6224 < if test -n "$CPP" && test -d "$CPP"; then
6225 <  CPP=
6226 < fi
6227 < if test -z "$CPP"; then
6228 <  if test "${ac_cv_prog_CPP+set}" = set; then
6229 <  echo $ECHO_N "(cached) $ECHO_C" >&6
7094 > # Check whether --with-sprng or --without-sprng was given.
7095 > if test "${with_sprng+set}" = set; then
7096 >  withval="$with_sprng"
7097 >  with_sprng=$withval
7098   else
7099 <      # Double quotes because CPP needs to be expanded
7100 <    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
6233 <    do
6234 <      ac_preproc_ok=false
6235 < for ac_c_preproc_warn_flag in '' yes
6236 < do
6237 <  # Use a header file that comes with gcc, so configuring glibc
6238 <  # with a fresh cross-compiler works.
6239 <  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
6240 <  # <limits.h> exists even on freestanding compilers.
6241 <  # On the NeXT, cc -E runs the code through the compiler's parser,
6242 <  # not just through cpp. "Syntax error" is here to catch this case.
6243 <  cat >conftest.$ac_ext <<_ACEOF
6244 < /* confdefs.h.  */
6245 < _ACEOF
6246 < cat confdefs.h >>conftest.$ac_ext
6247 < cat >>conftest.$ac_ext <<_ACEOF
6248 < /* end confdefs.h.  */
6249 < #ifdef __STDC__
6250 < # include <limits.h>
6251 < #else
6252 < # include <assert.h>
6253 < #endif
6254 <                     Syntax error
6255 < _ACEOF
6256 < if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6257 <  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6258 <  ac_status=$?
6259 <  grep -v '^ *+' conftest.er1 >conftest.err
6260 <  rm -f conftest.er1
6261 <  cat conftest.err >&5
6262 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6263 <  (exit $ac_status); } >/dev/null; then
6264 <  if test -s conftest.err; then
6265 <    ac_cpp_err=$ac_c_preproc_warn_flag
6266 <    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6267 <  else
6268 <    ac_cpp_err=
6269 <  fi
6270 < else
6271 <  ac_cpp_err=yes
6272 < fi
6273 < if test -z "$ac_cpp_err"; then
6274 <  :
6275 < else
6276 <  echo "$as_me: failed program was:" >&5
6277 < sed 's/^/| /' conftest.$ac_ext >&5
6278 <
6279 <  # Broken: fails on valid input.
6280 < continue
6281 < fi
6282 < rm -f conftest.err conftest.$ac_ext
6283 <
6284 <  # OK, works on sane cases.  Now check whether non-existent headers
6285 <  # can be detected and how.
6286 <  cat >conftest.$ac_ext <<_ACEOF
6287 < /* confdefs.h.  */
6288 < _ACEOF
6289 < cat confdefs.h >>conftest.$ac_ext
6290 < cat >>conftest.$ac_ext <<_ACEOF
6291 < /* end confdefs.h.  */
6292 < #include <ac_nonexistent.h>
6293 < _ACEOF
6294 < if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6295 <  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6296 <  ac_status=$?
6297 <  grep -v '^ *+' conftest.er1 >conftest.err
6298 <  rm -f conftest.er1
6299 <  cat conftest.err >&5
6300 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6301 <  (exit $ac_status); } >/dev/null; then
6302 <  if test -s conftest.err; then
6303 <    ac_cpp_err=$ac_c_preproc_warn_flag
6304 <    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6305 <  else
6306 <    ac_cpp_err=
6307 <  fi
6308 < else
6309 <  ac_cpp_err=yes
6310 < fi
6311 < if test -z "$ac_cpp_err"; then
6312 <  # Broken: success on invalid input.
6313 < continue
6314 < else
6315 <  echo "$as_me: failed program was:" >&5
6316 < sed 's/^/| /' conftest.$ac_ext >&5
6317 <
6318 <  # Passes both tests.
6319 < ac_preproc_ok=:
6320 < break
6321 < fi
6322 < rm -f conftest.err conftest.$ac_ext
7099 >  with_sprng="/usr/local"
7100 > fi;
7101  
7102 < done
7103 < # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
7104 < rm -f conftest.err conftest.$ac_ext
7105 < if $ac_preproc_ok; then
7106 <  break
7102 > case "x$with_sprng" in
7103 >        xyes | "x")  USE_SPRNG=yes;;
7104 >        xno) USE_SPRNG=no ;;
7105 >        *) SPRNG="$with_sprng"; USE_SPRNG=yes ;;
7106 > esac
7107 > if test "$USE_SPRNG" = "yes" -a -z "$with_sprng"; then
7108 >        SPRNG="/usr/local"
7109   fi
7110 + if test "$USE_SPRNG" = "yes"; then
7111  
6331    done
6332    ac_cv_prog_CPP=$CPP
7112  
7113 < fi
7114 <  CPP=$ac_cv_prog_CPP
7115 < else
6337 <  ac_cv_prog_CPP=$CPP
6338 < fi
6339 < echo "$as_me:$LINENO: result: $CPP" >&5
6340 < echo "${ECHO_T}$CPP" >&6
6341 < ac_preproc_ok=false
6342 < for ac_c_preproc_warn_flag in '' yes
6343 < do
6344 <  # Use a header file that comes with gcc, so configuring glibc
6345 <  # with a fresh cross-compiler works.
6346 <  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
6347 <  # <limits.h> exists even on freestanding compilers.
6348 <  # On the NeXT, cc -E runs the code through the compiler's parser,
6349 <  # not just through cpp. "Syntax error" is here to catch this case.
6350 <  cat >conftest.$ac_ext <<_ACEOF
6351 < /* confdefs.h.  */
6352 < _ACEOF
6353 < cat confdefs.h >>conftest.$ac_ext
6354 < cat >>conftest.$ac_ext <<_ACEOF
6355 < /* end confdefs.h.  */
6356 < #ifdef __STDC__
6357 < # include <limits.h>
6358 < #else
6359 < # include <assert.h>
6360 < #endif
6361 <                     Syntax error
6362 < _ACEOF
6363 < if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6364 <  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6365 <  ac_status=$?
6366 <  grep -v '^ *+' conftest.er1 >conftest.err
6367 <  rm -f conftest.er1
6368 <  cat conftest.err >&5
6369 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6370 <  (exit $ac_status); } >/dev/null; then
6371 <  if test -s conftest.err; then
6372 <    ac_cpp_err=$ac_c_preproc_warn_flag
6373 <    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6374 <  else
6375 <    ac_cpp_err=
6376 <  fi
6377 < else
6378 <  ac_cpp_err=yes
6379 < fi
6380 < if test -z "$ac_cpp_err"; then
6381 <  :
6382 < else
6383 <  echo "$as_me: failed program was:" >&5
6384 < sed 's/^/| /' conftest.$ac_ext >&5
7113 > # Set variables...
7114 > SPRNG_LIB_DIR="$SPRNG/lib"
7115 > SPRNG_INC_DIR="$SPRNG/include"
7116  
6386  # Broken: fails on valid input.
6387 continue
6388 fi
6389 rm -f conftest.err conftest.$ac_ext
7117  
7118 <  # OK, works on sane cases.  Now check whether non-existent headers
7119 <  # can be detected and how.
7120 <  cat >conftest.$ac_ext <<_ACEOF
7121 < /* confdefs.h.  */
7122 < _ACEOF
7123 < cat confdefs.h >>conftest.$ac_ext
7124 < cat >>conftest.$ac_ext <<_ACEOF
7125 < /* end confdefs.h.  */
7126 < #include <ac_nonexistent.h>
6400 < _ACEOF
6401 < if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6402 <  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6403 <  ac_status=$?
6404 <  grep -v '^ *+' conftest.er1 >conftest.err
6405 <  rm -f conftest.er1
6406 <  cat conftest.err >&5
6407 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6408 <  (exit $ac_status); } >/dev/null; then
6409 <  if test -s conftest.err; then
6410 <    ac_cpp_err=$ac_c_preproc_warn_flag
6411 <    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6412 <  else
6413 <    ac_cpp_err=
6414 <  fi
6415 < else
6416 <  ac_cpp_err=yes
6417 < fi
6418 < if test -z "$ac_cpp_err"; then
6419 <  # Broken: success on invalid input.
6420 < continue
7118 >
7119 > echo "$as_me:$LINENO: checking for sprng.h" >&5
7120 > echo $ECHO_N "checking for sprng.h... $ECHO_C" >&6
7121 > have_sprng_h=0
7122 > echo '#include <sprng.h>' > conftest.cc
7123 > if test -z "`${CXX} -I${SPRNG_INC_DIR} -c conftest.cc 2>&1`"; then
7124 >        echo "$as_me:$LINENO: result: yes" >&5
7125 > echo "${ECHO_T}yes" >&6
7126 >        have_sprng_h=1
7127   else
7128 <  echo "$as_me: failed program was:" >&5
7129 < sed 's/^/| /' conftest.$ac_ext >&5
7130 <
6425 <  # Passes both tests.
6426 < ac_preproc_ok=:
6427 < break
7128 >        echo "$as_me:$LINENO: result: no! Check SPRNG include path!" >&5
7129 > echo "${ECHO_T}no! Check SPRNG include path!" >&6
7130 >        USE_SPRNG="no"
7131   fi
6429 rm -f conftest.err conftest.$ac_ext
6430
6431 done
6432 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
6433 rm -f conftest.err conftest.$ac_ext
6434 if $ac_preproc_ok; then
6435  :
6436 else
6437  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
6438 See \`config.log' for more details." >&5
6439 echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
6440 See \`config.log' for more details." >&2;}
6441   { (exit 1); exit 1; }; }
6442 fi
6443
6444 ac_ext=c
6445 ac_cpp='$CPP $CPPFLAGS'
6446 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6447 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6448 ac_compiler_gnu=$ac_cv_c_compiler_gnu
6449
6450
6451 echo "$as_me:$LINENO: checking for egrep" >&5
6452 echo $ECHO_N "checking for egrep... $ECHO_C" >&6
6453 if test "${ac_cv_prog_egrep+set}" = set; then
6454  echo $ECHO_N "(cached) $ECHO_C" >&6
6455 else
6456  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
6457    then ac_cv_prog_egrep='grep -E'
6458    else ac_cv_prog_egrep='egrep'
6459    fi
6460 fi
6461 echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
6462 echo "${ECHO_T}$ac_cv_prog_egrep" >&6
6463 EGREP=$ac_cv_prog_egrep
6464
6465
6466 echo "$as_me:$LINENO: checking for ANSI C header files" >&5
6467 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
6468 if test "${ac_cv_header_stdc+set}" = set; then
6469  echo $ECHO_N "(cached) $ECHO_C" >&6
6470 else
6471  cat >conftest.$ac_ext <<_ACEOF
6472 /* confdefs.h.  */
6473 _ACEOF
6474 cat confdefs.h >>conftest.$ac_ext
6475 cat >>conftest.$ac_ext <<_ACEOF
6476 /* end confdefs.h.  */
6477 #include <stdlib.h>
6478 #include <stdarg.h>
6479 #include <string.h>
6480 #include <float.h>
6481
6482 int
6483 main ()
6484 {
6485
6486  ;
6487  return 0;
6488 }
6489 _ACEOF
6490 rm -f conftest.$ac_objext
6491 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6492  (eval $ac_compile) 2>conftest.er1
6493  ac_status=$?
6494  grep -v '^ *+' conftest.er1 >conftest.err
6495  rm -f conftest.er1
6496  cat conftest.err >&5
6497  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6498  (exit $ac_status); } &&
6499         { ac_try='test -z "$ac_c_werror_flag"
6500                         || test ! -s conftest.err'
6501  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6502  (eval $ac_try) 2>&5
6503  ac_status=$?
6504  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6505  (exit $ac_status); }; } &&
6506         { ac_try='test -s conftest.$ac_objext'
6507  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6508  (eval $ac_try) 2>&5
6509  ac_status=$?
6510  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6511  (exit $ac_status); }; }; then
6512  ac_cv_header_stdc=yes
6513 else
6514  echo "$as_me: failed program was:" >&5
6515 sed 's/^/| /' conftest.$ac_ext >&5
6516
6517 ac_cv_header_stdc=no
6518 fi
6519 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6520
6521 if test $ac_cv_header_stdc = yes; then
6522  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
6523  cat >conftest.$ac_ext <<_ACEOF
6524 /* confdefs.h.  */
6525 _ACEOF
6526 cat confdefs.h >>conftest.$ac_ext
6527 cat >>conftest.$ac_ext <<_ACEOF
6528 /* end confdefs.h.  */
6529 #include <string.h>
6530
6531 _ACEOF
6532 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6533  $EGREP "memchr" >/dev/null 2>&1; then
6534  :
6535 else
6536  ac_cv_header_stdc=no
6537 fi
7132   rm -f conftest*
7133 + if test "$have_sprng_h" = 1; then
7134  
6540 fi
6541
6542 if test $ac_cv_header_stdc = yes; then
6543  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
6544  cat >conftest.$ac_ext <<_ACEOF
6545 /* confdefs.h.  */
6546 _ACEOF
6547 cat confdefs.h >>conftest.$ac_ext
6548 cat >>conftest.$ac_ext <<_ACEOF
6549 /* end confdefs.h.  */
6550 #include <stdlib.h>
6551
6552 _ACEOF
6553 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6554  $EGREP "free" >/dev/null 2>&1; then
6555  :
6556 else
6557  ac_cv_header_stdc=no
6558 fi
6559 rm -f conftest*
6560
6561 fi
6562
6563 if test $ac_cv_header_stdc = yes; then
6564  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
6565  if test "$cross_compiling" = yes; then
6566  :
6567 else
6568  cat >conftest.$ac_ext <<_ACEOF
6569 /* confdefs.h.  */
6570 _ACEOF
6571 cat confdefs.h >>conftest.$ac_ext
6572 cat >>conftest.$ac_ext <<_ACEOF
6573 /* end confdefs.h.  */
6574 #include <ctype.h>
6575 #if ((' ' & 0x0FF) == 0x020)
6576 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
6577 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
6578 #else
6579 # define ISLOWER(c) \
6580                   (('a' <= (c) && (c) <= 'i') \
6581                     || ('j' <= (c) && (c) <= 'r') \
6582                     || ('s' <= (c) && (c) <= 'z'))
6583 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
6584 #endif
6585
6586 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
6587 int
6588 main ()
6589 {
6590  int i;
6591  for (i = 0; i < 256; i++)
6592    if (XOR (islower (i), ISLOWER (i))
6593        || toupper (i) != TOUPPER (i))
6594      exit(2);
6595  exit (0);
6596 }
6597 _ACEOF
6598 rm -f conftest$ac_exeext
6599 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6600  (eval $ac_link) 2>&5
6601  ac_status=$?
6602  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6603  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
6604  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6605  (eval $ac_try) 2>&5
6606  ac_status=$?
6607  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6608  (exit $ac_status); }; }; then
6609  :
6610 else
6611  echo "$as_me: program exited with status $ac_status" >&5
6612 echo "$as_me: failed program was:" >&5
6613 sed 's/^/| /' conftest.$ac_ext >&5
6614
6615 ( exit $ac_status )
6616 ac_cv_header_stdc=no
6617 fi
6618 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
6619 fi
6620 fi
6621 fi
6622 echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
6623 echo "${ECHO_T}$ac_cv_header_stdc" >&6
6624 if test $ac_cv_header_stdc = yes; then
6625
7135   cat >>confdefs.h <<\_ACEOF
7136 < #define STDC_HEADERS 1
6628 < _ACEOF
6629 <
6630 < fi
6631 <
6632 < # On IRIX 5.3, sys/types and inttypes.h are conflicting.
6633 <
6634 <
6635 <
6636 <
6637 <
6638 <
6639 <
6640 <
6641 <
6642 < for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
6643 <                  inttypes.h stdint.h unistd.h
6644 < do
6645 < as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6646 < echo "$as_me:$LINENO: checking for $ac_header" >&5
6647 < echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6648 < if eval "test \"\${$as_ac_Header+set}\" = set"; then
6649 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6650 < else
6651 <  cat >conftest.$ac_ext <<_ACEOF
6652 < /* confdefs.h.  */
7136 > #define HAVE_SPRNG_H 1
7137   _ACEOF
6654 cat confdefs.h >>conftest.$ac_ext
6655 cat >>conftest.$ac_ext <<_ACEOF
6656 /* end confdefs.h.  */
6657 $ac_includes_default
7138  
6659 #include <$ac_header>
6660 _ACEOF
6661 rm -f conftest.$ac_objext
6662 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6663  (eval $ac_compile) 2>conftest.er1
6664  ac_status=$?
6665  grep -v '^ *+' conftest.er1 >conftest.err
6666  rm -f conftest.er1
6667  cat conftest.err >&5
6668  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6669  (exit $ac_status); } &&
6670         { ac_try='test -z "$ac_c_werror_flag"
6671                         || test ! -s conftest.err'
6672  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6673  (eval $ac_try) 2>&5
6674  ac_status=$?
6675  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6676  (exit $ac_status); }; } &&
6677         { ac_try='test -s conftest.$ac_objext'
6678  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6679  (eval $ac_try) 2>&5
6680  ac_status=$?
6681  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6682  (exit $ac_status); }; }; then
6683  eval "$as_ac_Header=yes"
6684 else
6685  echo "$as_me: failed program was:" >&5
6686 sed 's/^/| /' conftest.$ac_ext >&5
6687
6688 eval "$as_ac_Header=no"
7139   fi
6690 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6691 fi
6692 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6693 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6694 if test `eval echo '${'$as_ac_Header'}'` = yes; then
6695  cat >>confdefs.h <<_ACEOF
6696 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6697 _ACEOF
7140  
7141 < fi
6700 <
6701 < done
6702 <
6703 <
6704 <
6705 <
6706 <
6707 < # Check whether --with-sprng_prefix or --without-sprng_prefix was given.
6708 < if test "${with_sprng_prefix+set}" = set; then
6709 <  withval="$with_sprng_prefix"
6710 <  sprng_prefix="$withval"
6711 < else
6712 <  sprng_prefix="/usr/local"
6713 < fi;
6714 <
6715 < # Check whether --with-sprng-libdir or --without-sprng-libdir was given.
6716 < if test "${with_sprng_libdir+set}" = set; then
6717 <  withval="$with_sprng_libdir"
6718 <  sprng_libdir="$withval"
6719 < else
6720 <  sprng_libdir="/usr/local/lib"
6721 < fi;
6722 <
6723 < # Check whether --with-sprng-include or --without-sprng-include was given.
6724 < if test "${with_sprng_include+set}" = set; then
6725 <  withval="$with_sprng_include"
6726 <  sprng_include="$withval"
6727 < else
6728 <  sprng_include="/usr/local/include/sprng"
6729 < fi;
6730 <
6731 <  if test x$sprng_libdir = x ; then
6732 <    sprng_libdir=${sprng_prefix}/lib
6733 <  fi
6734 <
6735 <  if test x$sprng_include = x ; then
6736 <    sprng_include=${sprng_prefix}/include
6737 <  fi
6738 <
6739 <  echo "$as_me:$LINENO: checking for SPRNG include files in $sprng_include" >&5
6740 < echo $ECHO_N "checking for SPRNG include files in $sprng_include... $ECHO_C" >&6
6741 <  if test -f ${sprng_include}/sprng.h; then
6742 <    have_sprngincl=yes
6743 <    echo "$as_me:$LINENO: result: yes" >&5
6744 < echo "${ECHO_T}yes" >&6
6745 <  else
6746 <    have_sprngincl=no
6747 <    echo "$as_me:$LINENO: result: no" >&5
6748 < echo "${ECHO_T}no" >&6
6749 <    { { echo "$as_me:$LINENO: error: Could not locate the SPRNG include files" >&5
6750 < echo "$as_me: error: Could not locate the SPRNG include files" >&2;}
6751 <   { (exit 1); exit 1; }; }
6752 <  fi
6753 <
6754 <  echo "$as_me:$LINENO: checking for SPRNG libraries in $sprng_libdir" >&5
6755 < echo $ECHO_N "checking for SPRNG libraries in $sprng_libdir... $ECHO_C" >&6
6756 <  if test -f ${sprng_libdir}/libsprng.a; then
6757 <    have_sprnglib=yes
6758 <    echo "$as_me:$LINENO: result: yes" >&5
6759 < echo "${ECHO_T}yes" >&6
6760 <  else
6761 <    have_sprnglib=no
6762 <    echo "$as_me:$LINENO: result: no" >&5
6763 < echo "${ECHO_T}no" >&6
6764 <    { { echo "$as_me:$LINENO: error: Could not locate the SPRNG libraries" >&5
6765 < echo "$as_me: error: Could not locate the SPRNG libraries" >&2;}
6766 <   { (exit 1); exit 1; }; }
6767 <  fi
6768 <
6769 <
6770 <
6771 <  ac_ext=c
7141 > ac_ext=c
7142   ac_cpp='$CPP $CPPFLAGS'
7143   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7144   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7145   ac_compiler_gnu=$ac_cv_c_compiler_gnu
7146  
7147 <  ac_save_CPPFLAGS=$CPPFLAGS
7148 <  CPPFLAGS="${CPPFLAGS} -I${sprng_include}"
6779 <  ac_save_LDFLAGS=$LDFLAGS
6780 <  LDFLAGS="${LDFLAGS} -L${sprng_libdir} -lsprng"
6781 <  if test "${ac_cv_header_sprng_h+set}" = set; then
6782 <  echo "$as_me:$LINENO: checking for sprng.h" >&5
6783 < echo $ECHO_N "checking for sprng.h... $ECHO_C" >&6
6784 < if test "${ac_cv_header_sprng_h+set}" = set; then
6785 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6786 < fi
6787 < echo "$as_me:$LINENO: result: $ac_cv_header_sprng_h" >&5
6788 < echo "${ECHO_T}$ac_cv_header_sprng_h" >&6
6789 < else
6790 <  # Is the header compilable?
6791 < echo "$as_me:$LINENO: checking sprng.h usability" >&5
6792 < echo $ECHO_N "checking sprng.h usability... $ECHO_C" >&6
6793 < cat >conftest.$ac_ext <<_ACEOF
6794 < /* confdefs.h.  */
6795 < _ACEOF
6796 < cat confdefs.h >>conftest.$ac_ext
6797 < cat >>conftest.$ac_ext <<_ACEOF
6798 < /* end confdefs.h.  */
6799 < $ac_includes_default
6800 < #include <sprng.h>
6801 < _ACEOF
6802 < rm -f conftest.$ac_objext
6803 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6804 <  (eval $ac_compile) 2>conftest.er1
6805 <  ac_status=$?
6806 <  grep -v '^ *+' conftest.er1 >conftest.err
6807 <  rm -f conftest.er1
6808 <  cat conftest.err >&5
6809 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6810 <  (exit $ac_status); } &&
6811 <         { ac_try='test -z "$ac_c_werror_flag"
6812 <                         || test ! -s conftest.err'
6813 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6814 <  (eval $ac_try) 2>&5
6815 <  ac_status=$?
6816 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6817 <  (exit $ac_status); }; } &&
6818 <         { ac_try='test -s conftest.$ac_objext'
6819 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6820 <  (eval $ac_try) 2>&5
6821 <  ac_status=$?
6822 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6823 <  (exit $ac_status); }; }; then
6824 <  ac_header_compiler=yes
6825 < else
6826 <  echo "$as_me: failed program was:" >&5
6827 < sed 's/^/| /' conftest.$ac_ext >&5
7147 > ac_save_LDFLAGS=$LDFLAGS
7148 > LDFLAGS="${LDFLAGS} -L${SPRNG_LIB_DIR} "
7149  
7150 < ac_header_compiler=no
6830 < fi
6831 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6832 < echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6833 < echo "${ECHO_T}$ac_header_compiler" >&6
6834 <
6835 < # Is the header present?
6836 < echo "$as_me:$LINENO: checking sprng.h presence" >&5
6837 < echo $ECHO_N "checking sprng.h presence... $ECHO_C" >&6
6838 < cat >conftest.$ac_ext <<_ACEOF
6839 < /* confdefs.h.  */
6840 < _ACEOF
6841 < cat confdefs.h >>conftest.$ac_ext
6842 < cat >>conftest.$ac_ext <<_ACEOF
6843 < /* end confdefs.h.  */
6844 < #include <sprng.h>
6845 < _ACEOF
6846 < if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6847 <  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6848 <  ac_status=$?
6849 <  grep -v '^ *+' conftest.er1 >conftest.err
6850 <  rm -f conftest.er1
6851 <  cat conftest.err >&5
6852 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6853 <  (exit $ac_status); } >/dev/null; then
6854 <  if test -s conftest.err; then
6855 <    ac_cpp_err=$ac_c_preproc_warn_flag
6856 <    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6857 <  else
6858 <    ac_cpp_err=
6859 <  fi
6860 < else
6861 <  ac_cpp_err=yes
6862 < fi
6863 < if test -z "$ac_cpp_err"; then
6864 <  ac_header_preproc=yes
6865 < else
6866 <  echo "$as_me: failed program was:" >&5
6867 < sed 's/^/| /' conftest.$ac_ext >&5
6868 <
6869 <  ac_header_preproc=no
6870 < fi
6871 < rm -f conftest.err conftest.$ac_ext
6872 < echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6873 < echo "${ECHO_T}$ac_header_preproc" >&6
6874 <
6875 < # So?  What about this header?
6876 < case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6877 <  yes:no: )
6878 <    { echo "$as_me:$LINENO: WARNING: sprng.h: accepted by the compiler, rejected by the preprocessor!" >&5
6879 < echo "$as_me: WARNING: sprng.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6880 <    { echo "$as_me:$LINENO: WARNING: sprng.h: proceeding with the compiler's result" >&5
6881 < echo "$as_me: WARNING: sprng.h: proceeding with the compiler's result" >&2;}
6882 <    ac_header_preproc=yes
6883 <    ;;
6884 <  no:yes:* )
6885 <    { echo "$as_me:$LINENO: WARNING: sprng.h: present but cannot be compiled" >&5
6886 < echo "$as_me: WARNING: sprng.h: present but cannot be compiled" >&2;}
6887 <    { echo "$as_me:$LINENO: WARNING: sprng.h:     check for missing prerequisite headers?" >&5
6888 < echo "$as_me: WARNING: sprng.h:     check for missing prerequisite headers?" >&2;}
6889 <    { echo "$as_me:$LINENO: WARNING: sprng.h: see the Autoconf documentation" >&5
6890 < echo "$as_me: WARNING: sprng.h: see the Autoconf documentation" >&2;}
6891 <    { echo "$as_me:$LINENO: WARNING: sprng.h:     section \"Present But Cannot Be Compiled\"" >&5
6892 < echo "$as_me: WARNING: sprng.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6893 <    { echo "$as_me:$LINENO: WARNING: sprng.h: proceeding with the preprocessor's result" >&5
6894 < echo "$as_me: WARNING: sprng.h: proceeding with the preprocessor's result" >&2;}
6895 <    { echo "$as_me:$LINENO: WARNING: sprng.h: in the future, the compiler will take precedence" >&5
6896 < echo "$as_me: WARNING: sprng.h: in the future, the compiler will take precedence" >&2;}
6897 <    (
6898 <      cat <<\_ASBOX
6899 < ## ------------------------------ ##
6900 < ## Report this to gezelter@nd.edu ##
6901 < ## ------------------------------ ##
6902 < _ASBOX
6903 <    ) |
6904 <      sed "s/^/$as_me: WARNING:     /" >&2
6905 <    ;;
6906 < esac
6907 < echo "$as_me:$LINENO: checking for sprng.h" >&5
6908 < echo $ECHO_N "checking for sprng.h... $ECHO_C" >&6
6909 < if test "${ac_cv_header_sprng_h+set}" = set; then
6910 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6911 < else
6912 <  ac_cv_header_sprng_h=$ac_header_preproc
6913 < fi
6914 < echo "$as_me:$LINENO: result: $ac_cv_header_sprng_h" >&5
6915 < echo "${ECHO_T}$ac_cv_header_sprng_h" >&6
6916 <
6917 < fi
6918 < if test $ac_cv_header_sprng_h = yes; then
6919 <
6920 <    echo "$as_me:$LINENO: checking for init_rng in -lsprng" >&5
7150 > echo "$as_me:$LINENO: checking for init_rng in -lsprng" >&5
7151   echo $ECHO_N "checking for init_rng in -lsprng... $ECHO_C" >&6
7152   if test "${ac_cv_lib_sprng_init_rng+set}" = set; then
7153    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 6982 | Line 7212 | if test $ac_cv_lib_sprng_init_rng = yes; then
7212   echo "$as_me:$LINENO: result: $ac_cv_lib_sprng_init_rng" >&5
7213   echo "${ECHO_T}$ac_cv_lib_sprng_init_rng" >&6
7214   if test $ac_cv_lib_sprng_init_rng = yes; then
7215 <  SPRNG_LIBDIR="${sprng_libdir}"
7216 <                     SPRNG_LIB="-lsprng" SPRNG_INC="-I${sprng_include}"
6987 <                     HAVE_SPRNG="yes"
6988 < fi
7215 >  SPRNG_LIB="-lsprng"
7216 > else
7217  
7218 +             { { echo "$as_me:$LINENO: error: Didn't find libsprng; check path for SPRNG package first..." >&5
7219 + echo "$as_me: error: Didn't find libsprng; check path for SPRNG package first..." >&2;}
7220 +   { (exit 1); exit 1; }; }
7221 +             USE_SPRNG="no"
7222 +
7223   fi
7224  
7225  
7226 <  CPPFLAGS=$ac_save_CPPFLAGS
7227 <  LDFLAGS=$ac_save_LDFLAGS
7228 <  ac_ext=c
6996 < ac_cpp='$CPP $CPPFLAGS'
6997 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6998 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6999 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
7000 <
7001 <
7002 <  if test x_$HAVE_SPRNG != x_yes; then
7003 <        { { echo "$as_me:$LINENO: error: Can't build with SPRNG" >&5
7004 < echo "$as_me: error: Can't build with SPRNG" >&2;}
7226 > if test "$USE_SPRNG" = "no"; then
7227 >  { { echo "$as_me:$LINENO: error: No working SPRNG library found" >&5
7228 > echo "$as_me: error: No working SPRNG library found" >&2;}
7229     { (exit 1); exit 1; }; }
7230 <  fi
7230 > fi
7231  
7232  
7233 + fi
7234  
7235  
7236  
# Line 7768 | Line 7993 | $config_headers
7993  
7994   Configuration headers:
7995   $config_headers
7996 +
7997 + Configuration links:
7998 + $config_links
7999  
8000   Report bugs to <bug-autoconf@gnu.org>."
8001   _ACEOF
# Line 7898 | Line 8126 | do
8126    "samples/water/ssd/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/water/ssd/Makefile" ;;
8127    "samples/water/ssde/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/water/ssde/Makefile" ;;
8128    "samples/water/tip4p/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/water/tip4p/Makefile" ;;
8129 +  "third-party/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS third-party/getopt.h:third-party/gnugetopt.h" ;;
8130    "libBASS/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS libBASS/config.h" ;;
8131    "libmdtools/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS libmdtools/config.h" ;;
8132    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
# Line 7913 | Line 8142 | fi
8142   if $ac_need_defaults; then
8143    test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
8144    test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
8145 +  test "${CONFIG_LINKS+set}" = set || CONFIG_LINKS=$config_links
8146   fi
8147  
8148   # Have a temporary directory for convenience.  Make it in the build tree
# Line 8018 | Line 8248 | s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
8248   s,@F90_WORK_FILES_ARG@,$F90_WORK_FILES_ARG,;t t
8249   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
8250   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
8251 + s,@CPP@,$CPP,;t t
8252 + s,@EGREP@,$EGREP,;t t
8253 + s,@LIBOBJS@,$LIBOBJS,;t t
8254   s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
8255   s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
8256   s,@INSTALL_DATA@,$INSTALL_DATA,;t t
# Line 8036 | Line 8269 | s,@CPP@,$CPP,;t t
8269   s,@MPI_LIB@,$MPI_LIB,;t t
8270   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
8271   s,@USE_MPI@,$USE_MPI,;t t
8272 < s,@CPP@,$CPP,;t t
8273 < s,@EGREP@,$EGREP,;t t
8041 < s,@SPRNG_LIBDIR@,$SPRNG_LIBDIR,;t t
8272 > s,@SPRNG_LIB_DIR@,$SPRNG_LIB_DIR,;t t
8273 > s,@SPRNG_INC_DIR@,$SPRNG_INC_DIR,;t t
8274   s,@SPRNG_LIB@,$SPRNG_LIB,;t t
8275 < s,@SPRNG_INC@,$SPRNG_INC,;t t
8044 < s,@HAVE_SPRNG@,$HAVE_SPRNG,;t t
8275 > s,@USE_SPRNG@,$USE_SPRNG,;t t
8276   s,@MKL_LIBDIR@,$MKL_LIBDIR,;t t
8277   s,@MKL_LIB@,$MKL_LIB,;t t
8278   s,@MKL_INC@,$MKL_INC,;t t
# Line 8052 | Line 8283 | s,@LIBOBJS@,$LIBOBJS,;t t
8283   s,@OOPSE_HOME@,$OOPSE_HOME,;t t
8284   s,@SUBDIRS@,$SUBDIRS,;t t
8285   s,@FFLAGS@,$FFLAGS,;t t
8055 s,@LIBOBJS@,$LIBOBJS,;t t
8286   s,@LTLIBOBJS@,$LTLIBOBJS,;t t
8287   CEOF
8288  
# Line 8513 | Line 8743 | done
8743      cat $tmp/config.h
8744      rm -f $tmp/config.h
8745    fi
8746 + done
8747 + _ACEOF
8748 + cat >>$CONFIG_STATUS <<\_ACEOF
8749 +
8750 + #
8751 + # CONFIG_LINKS section.
8752 + #
8753 +
8754 + for ac_file in : $CONFIG_LINKS; do test "x$ac_file" = x: && continue
8755 +  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
8756 +  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
8757 +
8758 +  { echo "$as_me:$LINENO: linking $srcdir/$ac_source to $ac_dest" >&5
8759 + echo "$as_me: linking $srcdir/$ac_source to $ac_dest" >&6;}
8760 +
8761 +  if test ! -r $srcdir/$ac_source; then
8762 +    { { echo "$as_me:$LINENO: error: $srcdir/$ac_source: file not found" >&5
8763 + echo "$as_me: error: $srcdir/$ac_source: file not found" >&2;}
8764 +   { (exit 1); exit 1; }; }
8765 +  fi
8766 +  rm -f $ac_dest
8767 +
8768 +  # Make relative symlinks.
8769 +  ac_dest_dir=`(dirname "$ac_dest") 2>/dev/null ||
8770 + $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
8771 +         X"$ac_dest" : 'X\(//\)[^/]' \| \
8772 +         X"$ac_dest" : 'X\(//\)$' \| \
8773 +         X"$ac_dest" : 'X\(/\)' \| \
8774 +         .     : '\(.\)' 2>/dev/null ||
8775 + echo X"$ac_dest" |
8776 +    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
8777 +          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
8778 +          /^X\(\/\/\)$/{ s//\1/; q; }
8779 +          /^X\(\/\).*/{ s//\1/; q; }
8780 +          s/.*/./; q'`
8781 +  { if $as_mkdir_p; then
8782 +    mkdir -p "$ac_dest_dir"
8783 +  else
8784 +    as_dir="$ac_dest_dir"
8785 +    as_dirs=
8786 +    while test ! -d "$as_dir"; do
8787 +      as_dirs="$as_dir $as_dirs"
8788 +      as_dir=`(dirname "$as_dir") 2>/dev/null ||
8789 + $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
8790 +         X"$as_dir" : 'X\(//\)[^/]' \| \
8791 +         X"$as_dir" : 'X\(//\)$' \| \
8792 +         X"$as_dir" : 'X\(/\)' \| \
8793 +         .     : '\(.\)' 2>/dev/null ||
8794 + echo X"$as_dir" |
8795 +    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
8796 +          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
8797 +          /^X\(\/\/\)$/{ s//\1/; q; }
8798 +          /^X\(\/\).*/{ s//\1/; q; }
8799 +          s/.*/./; q'`
8800 +    done
8801 +    test ! -n "$as_dirs" || mkdir $as_dirs
8802 +  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dest_dir\"" >&5
8803 + echo "$as_me: error: cannot create directory \"$ac_dest_dir\"" >&2;}
8804 +   { (exit 1); exit 1; }; }; }
8805 +
8806 +  ac_builddir=.
8807 +
8808 + if test "$ac_dest_dir" != .; then
8809 +  ac_dir_suffix=/`echo "$ac_dest_dir" | sed 's,^\.[\\/],,'`
8810 +  # A "../" for each directory in $ac_dir_suffix.
8811 +  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
8812 + else
8813 +  ac_dir_suffix= ac_top_builddir=
8814 + fi
8815 +
8816 + case $srcdir in
8817 +  .)  # No --srcdir option.  We are building in place.
8818 +    ac_srcdir=.
8819 +    if test -z "$ac_top_builddir"; then
8820 +       ac_top_srcdir=.
8821 +    else
8822 +       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
8823 +    fi ;;
8824 +  [\\/]* | ?:[\\/]* )  # Absolute path.
8825 +    ac_srcdir=$srcdir$ac_dir_suffix;
8826 +    ac_top_srcdir=$srcdir ;;
8827 +  *) # Relative path.
8828 +    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
8829 +    ac_top_srcdir=$ac_top_builddir$srcdir ;;
8830 + esac
8831 +
8832 + # Do not use `cd foo && pwd` to compute absolute paths, because
8833 + # the directories may not exist.
8834 + case `pwd` in
8835 + .) ac_abs_builddir="$ac_dest_dir";;
8836 + *)
8837 +  case "$ac_dest_dir" in
8838 +  .) ac_abs_builddir=`pwd`;;
8839 +  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dest_dir";;
8840 +  *) ac_abs_builddir=`pwd`/"$ac_dest_dir";;
8841 +  esac;;
8842 + esac
8843 + case $ac_abs_builddir in
8844 + .) ac_abs_top_builddir=${ac_top_builddir}.;;
8845 + *)
8846 +  case ${ac_top_builddir}. in
8847 +  .) ac_abs_top_builddir=$ac_abs_builddir;;
8848 +  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
8849 +  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
8850 +  esac;;
8851 + esac
8852 + case $ac_abs_builddir in
8853 + .) ac_abs_srcdir=$ac_srcdir;;
8854 + *)
8855 +  case $ac_srcdir in
8856 +  .) ac_abs_srcdir=$ac_abs_builddir;;
8857 +  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
8858 +  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
8859 +  esac;;
8860 + esac
8861 + case $ac_abs_builddir in
8862 + .) ac_abs_top_srcdir=$ac_top_srcdir;;
8863 + *)
8864 +  case $ac_top_srcdir in
8865 +  .) ac_abs_top_srcdir=$ac_abs_builddir;;
8866 +  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
8867 +  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
8868 +  esac;;
8869 + esac
8870 +
8871 +
8872 +  case $srcdir in
8873 +  [\\/$]* | ?:[\\/]* ) ac_rel_source=$srcdir/$ac_source ;;
8874 +      *) ac_rel_source=$ac_top_builddir$srcdir/$ac_source ;;
8875 +  esac
8876 +
8877 +  # Try a symlink, then a hard link, then a copy.
8878 +  ln -s $ac_rel_source $ac_dest 2>/dev/null ||
8879 +    ln $srcdir/$ac_source $ac_dest 2>/dev/null ||
8880 +    cp -p $srcdir/$ac_source $ac_dest ||
8881 +    { { echo "$as_me:$LINENO: error: cannot link or copy $srcdir/$ac_source to $ac_dest" >&5
8882 + echo "$as_me: error: cannot link or copy $srcdir/$ac_source to $ac_dest" >&2;}
8883 +   { (exit 1); exit 1; }; }
8884   done
8885   _ACEOF
8886  

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines